Merge pull request #94 from thetechprepper/feature/ventoy

ventoy - Install Ventoy to allow offline creation of bootable USB drives
This commit is contained in:
thetechprepper
2026-03-14 20:10:00 -07:00
committed by GitHub
5 changed files with 55 additions and 1 deletions
+2
View File
@@ -45,3 +45,5 @@ ln -v -s ${INSTALL_DIR} ${LINK_PATH}
sed -i 's|^Exec.*|Exec=/opt/emcomm-tools/bin/et-flamp start|' /opt/flamp/share/applications/flamp.desktop
stow -v -d /opt ${APP} -t /usr/local
cd ${CWD_DIR}
+3 -1
View File
@@ -2,7 +2,7 @@
# Author : William McKeehan
# Author : Gaston Gonzalez
# Date : 18 November 2025
# Updated : 13 March 2026
# Updated : 14 March 2026
# Purpose : Builds and installs flmsg
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
@@ -49,3 +49,5 @@ sed -i 's|^Exec.*|Exec=/opt/emcomm-tools/bin/et-flmsg start|' /opt/flmsg/share/a
cp -v /opt/flmsg/share/applications/flmsg.desktop /usr/share/applications/flmsg.desktop
stow -v -d /opt ${APP} -t /usr/local
cd ${CWD}
+40
View File
@@ -0,0 +1,40 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 16 March 2026
# Purpose : Install Ventoy
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=ventoy
VERSION=1.1.10
FILE=ventoy-${VERSION}-linux.tar.gz
INSTALL_DIR=/opt/${APP}-${VERSION}
LINK_PATH=/opt/${APP}
et-log "Installing ${APP}..."
if [[ ! -e "${ET_DIST_DIR}/${FILE}" ]]; then
URL=https://sourceforge.net/projects/ventoy/files/v${VERSION}/${FILE}/download
et-log "Downloading ${APP}: ${URL}"
download_with_retries ${URL} ${FILE}
mv -v ${FILE} ${ET_DIST_DIR}
fi
CWD_DIR=$(pwd)
if [[ ! -e ${INSTALL_DIR} ]]; then
cd /opt && tar -xzf ${ET_DIST_DIR}/${FILE}
else
et-log "${INSTALL_DIR} already exists."
fi
[ -e ${LINK_PATH} ] && rm ${LINK_PATH}
ln -s ${INSTALL_DIR} ${LINK_PATH}
cd ${CWD_DIR}
+3
View File
@@ -103,5 +103,8 @@ exitIfNotRoot
# Install security tools
./install-gpa.sh
# Install ISO tools
./install-ventoy.sh
# Install offline resources
./install-offline-lib.sh
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 14 March 2026
# Purpose : Test Ventoy install
OUT=$(ls /opt/ventoy/Ventoy2Disk.sh)
exit $?